Debian Bug report logs - #526311
quagga: bgpd crashes

version graph

Package: quagga; Maintainer for quagga is Christian Hammers <ch@debian.org>; Source for quagga is src:quagga.

Reported by: William Boughton <bill@boughton.de>

Date: Thu, 30 Apr 2009 10:00:04 UTC

Severity: important

Tags: security

Merged with 526270

Found in versions 0.99.11-1~MBbpo50+1, quagga/0.99.10-1lenny1

Fixed in versions quagga/0.99.11-2, 0.99.10-1lenny2

Done: Florian Weimer <fw@deneb.enyo.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Hammers <ch@debian.org>:
Bug#526311; Package quagga. (Thu, 30 Apr 2009 10:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Boughton <bill@boughton.de>:
New Bug report received and forwarded. Copy sent to Christian Hammers <ch@debian.org>. (Thu, 30 Apr 2009 10:00:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: William Boughton <bill@boughton.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: quagga: bgpd crashes
Date: Thu, 30 Apr 2009 11:57:53 +0200
Package: quagga
Version: 0.99.10-1lenny1
Severity: grave
Justification: renders bgpd unusable on the internet.


Bgpd crashes with the following traceback when connected
with a BGP peer on the internet as of about 0700 UTC this morning:

2009/04/30 07:58:20 BGP: Assertion `len < str_size' failed in file
bgp_aspath.c,
 line 619, function aspath_make_str_count
 2009/04/30 07:58:20 BGP: Backtrace for 14 stack frames:
 2009/04/30 07:58:20 BGP: [bt 0]
 /usr/lib/libzebra.so.0(zlog_backtrace+0x1f) [0xb
 7e38492]
 2009/04/30 07:58:20 BGP: [bt 1]
 /usr/lib/libzebra.so.0(_zlog_assert_failed+0x99)
  [0xb7e385e8]
  2009/04/30 07:58:20 BGP: [bt 2] /usr/lib/quagga/bgpd [0xb7ed1803]
  2009/04/30 07:58:20 BGP: [bt 3] /usr/lib/quagga/bgpd [0xb7ed1849]
  2009/04/30 07:58:20 BGP: [bt 4]
  /usr/lib/quagga/bgpd(aspath_key_make+0x23) [0xb7ed1876]
  2009/04/30 07:58:20 BGP: [bt 5] /usr/lib/libzebra.so.0(hash_get+0x1d)
  [0xb7e2fdb8]
  2009/04/30 07:58:20 BGP: [bt 6]
  /usr/lib/quagga/bgpd(aspath_parse+0x1be) [0xb7ed2bc2]
  2009/04/30 07:58:20 BGP: [bt 7]
  /usr/lib/quagga/bgpd(bgp_attr_parse+0x249) [0xb7e9d416]
  2009/04/30 07:58:20 BGP: [bt 8] /usr/lib/quagga/bgpd [0xb7eb71e7]
  2009/04/30 07:58:20 BGP: [bt 9] /usr/lib/quagga/bgpd(bgp_read+0x371)
  [0xb7eb838b]
  2009/04/30 07:58:20 BGP: [bt 10]
  /usr/lib/libzebra.so.0(thread_call+0x6a) [0xb7e2d321]
  2009/04/30 07:58:20 BGP: [bt 11] /usr/lib/quagga/bgpd(main+0x3c1)
  [0xb7e90f5c]
  2009/04/30 07:58:20 BGP: [bt 12]
  /lib/tls/libc.so.6(__libc_start_main+0xc8) [0xb7c99ea8]


There is a patch which should fix it:

http://marc.info/?l=quagga-dev&m=123364779626078&w=2


-- System Information:
Debian Release: 5.0
  APT prefers lenny
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.25.10rtr
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)




Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hammers <ch@debian.org>:
Bug#526311; Package quagga. (Thu, 30 Apr 2009 11:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to William Boughton <bill@boughton.de>:
Extra info received and forwarded to list. Copy sent to Christian Hammers <ch@debian.org>. (Thu, 30 Apr 2009 11:39:02 GMT) Full text and rfc822 format available.

Message #10 received at 526311@bugs.debian.org (full text, mbox):

From: William Boughton <bill@boughton.de>
To: 526311@bugs.debian.org
Subject: quagga: bgpd crashes
Date: Thu, 30 Apr 2009 13:36:14 +0200
[Message part 1 (text/plain, inline)]
Tags: patch

I have been running with the attached patch based on
http://marc.info/?l=quagga-dev&m=123364779626078&w=2
for the past few hours without any further crashes.

regards

bill
-- 
Bill Boughton           <bill@boughton.de>
Germany: +49 (0)9252 3575797  / UK: +44 (0)20 7043 6412
[99_32asn.dpatch (text/plain, attachment)]

Forcibly Merged 526270 526311. Request was from Florian Weimer <fw@deneb.enyo.de> to control@bugs.debian.org. (Thu, 30 Apr 2009 18:39:06 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 0.99.11-2, send any further explanations to Michael Bussmann <debian@mb-net.net> Request was from Florian Weimer <fw@deneb.enyo.de> to control@bugs.debian.org. (Mon, 04 May 2009 16:33:03 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 0.99.10-1lenny2, send any further explanations to Michael Bussmann <debian@mb-net.net> Request was from Florian Weimer <fw@deneb.enyo.de> to control@bugs.debian.org. (Mon, 04 May 2009 20:48:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Jun 2009 07:27:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:41:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.